SkipBlockRangeIterator.Match (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search, class: SkipBlockRangeIterator, enum: Match

Package org.apache.lucene.search

# Enum Class SkipBlockRangeIterator.Match

java.lang.Object
java.lang.Enum<SkipBlockRangeIterator.Match>
org.apache.lucene.search.SkipBlockRangeIterator.Match

All Implemented Interfaces:
  `Serializable`, `Comparable<SkipBlockRangeIterator.Match>`, `Constable`

Enclosing class:
  `SkipBlockRangeIterator`

public static enum SkipBlockRangeIterator.Match extends Enum<SkipBlockRangeIterator.Match>
The match state of the current positioned block

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MAYBE`
  Some of the documents in the block match
  `YES`
  All documents in the block match
  `YES_IF_PRESENT`
  All documents in the block with a value match

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SkipBlockRangeIterator.Match`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SkipBlockRangeIterator.Match[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### YES

    public static final SkipBlockRangeIterator.Match YES
    All documents in the block match

  - ### YES_IF_PRESENT

    public static final SkipBlockRangeIterator.Match YES_IF_PRESENT
    All documents in the block with a value match

  - ### MAYBE

    public static final SkipBlockRangeIterator.Match MAYBE
    Some of the documents in the block match

- ## Method Details

  - ### values

    public static SkipBlockRangeIterator.Match[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SkipBlockRangeIterator.Match valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null